# -*- coding: utf-8 -*-
"""
Stabilitätsanalyse: Berechnung der Pole bzw. Plot
der Pole und Nullstellen

Created on 17.4. 2019, modifiziert für Version 0.10.1 am 20.8.24
@author: philippsen
"""

import numpy as np
import control as ct
import matplotlib.pyplot as plt

num = np.array([1,0.4, 1])
den  = np.array([1,2, 1, 4])
print(den)
print("Pole = ", str(np.roots(den)) )

sys = ct.tf(num,den, name='sys')
print(sys)
print("Pole = ", ct.poles(sys) )
print("Nullstellen = ", ct.zeros(sys) )
response = ct.pole_zero_map(sys)
ct.pole_zero_plot(response)
plt.grid()