# -*- coding: utf-8 -*-
"""
versteckte Schwingungen
Created on 29.10. 2018, mod 20.8.24
@author: philippsen
"""

import numpy as np
import control as ct
import matplotlib.pyplot as plt

# Zeitdiskretes System 1. Ordnung
db1 = 0.0;  db0 = 0.2; da1 = 1; da0 = 0.8
t0 = 0.1 # Abtastzeit 

dz = np.array([db1, db0])
dn = np.array([da1, da0])
diskSys = ct.tf(dz,dn,t0)
t=np.arange(0,2,t0)
t1, y = ct.step_response(diskSys,t)
plt.step(t1,y,where='post')
# für Version < 0.9 plt.step(t1,y[0],where='post')
plt.xlabel('k*T0'); plt.ylabel('x(k)')
plt.grid(True)
