# -*- coding: utf-8 -*-
"""

PI-Regler H(t) und Bode
Created on 10.11. 2018, mod. 20.8.24
@author: philippsen
""" 

import numpy as np
import control as ct
import matplotlib.pyplot as plt

reg = ct.tf([6.0, 2.0],[3, 0.0])
t = np.linspace(0, 6, 200)
e = np.ones(200)
e[0]=0.0
t, y = ct.forced_response(reg,t,e)
plt.plot(t,y)
plt.title('PI-Regler')
plt.xlabel('t [s]'); plt.ylabel(' y')
plt.grid(True)

plt.figure()
ct.bode_plot(reg,title='Bode-Plot PI-Rgeler')